Bug 487859 - Sweep doesn't load plugins in 64 bits build.
Summary: Sweep doesn't load plugins in 64 bits build.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sweep
Version: 10
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-28 12:34 UTC by Gabriele Turchi
Modified: 2009-08-08 12:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-08 12:11:07 UTC


Attachments (Terms of Use)

Description Gabriele Turchi 2009-02-28 12:34:08 UTC
Description of problem:

The x86_64 version of sweep doesn't find plugins.

Version-Release number of selected component (if applicable):


How reproducible:

Everytime

Steps to Reproduce:
1. Run sweep
2. Open "Process" menu
3. 
  
Actual results:

The menu is empty

Expected results:

The plugin list

Additional info:

Sweep appear to search plugins in "/usr/lib" hierarchy, and not in the "/usr/lib64" right one. A simple workaround is creating a link from "/usr/lib/sweep" to "/usr/lib64/sweep"

Comment 1 Gérard Milmeister 2009-02-28 13:40:58 UTC
I will try to create a patch to set the directories right.

Comment 2 Fedora Update System 2009-02-28 14:23:54 UTC
sweep-0.9.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sweep-0.9.3-2.fc10

Comment 3 Fedora Update System 2009-03-02 17:00:35 UTC
sweep-0.9.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sweep'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2222


Note You need to log in before you can comment on or make changes to this bug.